Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 493866 - net-misc/openssh with net-misc/putty - tests use puttygen, plink, go interactive, fail
Summary: net-misc/openssh with net-misc/putty - tests use puttygen, plink, go interact...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: TESTFAILURE
: 576734 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-12-10 19:31 UTC by Jeroen Roovers
Modified: 2019-10-09 16:18 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
net-misc:openssh-6.4_p1-r1:20131210-190616.log (20131210-190616.log,197.19 KB, text/plain)
2013-12-10 19:31 UTC, Jeroen Roovers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2013-12-10 19:31:17 UTC
Created attachment 365072 [details]
net-misc:openssh-6.4_p1-r1:20131210-190616.log

[ebuild   R   ] net-misc/openssh-6.4_p1-r1  USE="X hpn kerberos pam tcpd -X509 -bindist -ldap -ldns -libedit (-selinux) -skey -static" 
[ebuild   R   ] net-misc/putty-0.63-r1  USE="doc gtk ipv6 kerberos"
Comment 1 Tim Harder gentoo-dev 2013-12-10 20:01:46 UTC
Has this ever worked? Current stable, openssh-5.9_p1-r4, fails that test for me it just doesn't stop the remaining tests from running like later versions do.

Tests pass for me if userpriv is disabled and putty isn't installed.
Comment 2 Jeroen Roovers gentoo-dev 2017-02-23 08:56:02 UTC
*** Bug 576734 has been marked as a duplicate of this bug. ***
Comment 3 Rolf Eike Beer 2019-08-13 18:19:59 UTC
The putty tests still fail with 8.0.
Comment 4 Thomas Deutschmann gentoo-dev Security 2019-08-13 20:42:21 UTC
Current failure is

run test putty-transfer.sh ...
cp: cannot stat '/var/tmp/portage/net-misc/openssh-8.0_p1-r2/work/openssh-8.0p1/regress/rsa': No such file or directory
/var/tmp/portage/net-misc/openssh-8.0_p1-r2/work/openssh-8.0p1/regress/rsa_oldfmt: No such file or directory
putty transfer data: compression 0
The server's host key is not cached. You have no guarantee
that the server is the computer you think it is.
The server's ssh-ed25519 key fingerprint is:
ssh-ed25519 255 c6:ea:23:01:f9:ad:5f:42:25:14:f2:06:09:42:9a:de
Connection abandoned.
cmp: EOF on /var/tmp/portage/net-misc/openssh-8.0_p1-r2/work/openssh-8.0p1/regress/copy which is empty
corrupted copy
The server's host key is not cached. You have no guarantee
that the server is the computer you think it is.
The server's ssh-ed25519 key fingerprint is:
ssh-ed25519 255 c6:ea:23:01:f9:ad:5f:42:25:14:f2:06:09:42:9a:de
Connection abandoned.
cmp: /var/tmp/portage/net-misc/openssh-8.0_p1-r2/work/openssh-8.0p1/regress/copy: No such file or directory
corrupted copy
Comment 5 Larry the Git Cow gentoo-dev 2019-10-09 16:18:07 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0148cb4b99350b09cc7eaa229ad42d4b6009d0e9

commit 0148cb4b99350b09cc7eaa229ad42d4b6009d0e9
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2019-10-09 16:17:12 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2019-10-09 16:17:29 +0000

    net-misc/openssh: fix integer overflows
    
    - Fix integer overflow in XMSS private key parsing
    - Fix an unreachable integer overflow similar to the XMSS case
    - Fix putty tests
    
    Closes: https://bugs.gentoo.org/493866
    Bug: https://bugs.gentoo.org/697046
    Package-Manager: Portage-2.3.76, Repoman-2.3.17
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 net-misc/openssh/Manifest                          |   1 +
 ...integer-overflow-similar-to-the-XMSS-case.patch |  76 ++++
 ...eger-overflow-in-XMSS-private-key-parsing.patch |  14 +
 .../files/openssh-8.0_p1-fix-putty-tests.patch     |  57 +++
 net-misc/openssh/openssh-8.0_p1-r4.ebuild          | 467 +++++++++++++++++++++
 5 files changed, 615 insertions(+)